org.eclipse.emf.facet.custom.core

## Interface ICustomizationPropertiesCatalogManager

    public interface ICustomizationPropertiesCatalogManager

This interface allows to access the customization catalog.

Since:
  0.3
Author:
  Gregoire Dupe
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<FacetSet>` `getAllRegisteredCustomizationPropertySet()` This method is used to get all the registered customization properties (facetSet).
`java.util.List<FacetOperation>` `getCustomizationPropertiesByName(java.lang.String propertyName)`

### Method Detail

#### getAllRegisteredCustomizationPropertySet

    java.util.List<FacetSet> getAllRegisteredCustomizationPropertySet()

This method is used to get all the registered customization properties (facetSet).

Returns:
  all the registered customizations

#### getCustomizationPropertiesByName

    java.util.List<FacetOperation> getCustomizationPropertiesByName(java.lang.String propertyName)